## org.exist.xmldb.test.concurrent.action
Class XQueryAction

    java.lang.Object
      org.exist.xmldb.test.concurrent.action.Action
          org.exist.xmldb.test.concurrent.action.XQueryAction

public class XQueryAction
extends Action

Author:
  wolf

Constructor Summary
`XQueryAction(java.lang.String collectionPath, java.lang.String resourceName, java.lang.String xquery)`

Method Summary
`long` `avgExecTime()`
`boolean` `execute()`
`java.lang.String` `getQuery()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQueryAction

    public XQueryAction(java.lang.String collectionPath,
                        java.lang.String resourceName,
                        java.lang.String xquery)

Parameters:
  `collectionPath` -
  `resourceName` -
  `xquery` -

Method Detail

### execute

    public boolean execute()
                    throws java.lang.Exception

  Specified by:
    `execute` in class `Action`
  Throws:
    `java.lang.Exception`

### getQuery

    public java.lang.String getQuery()

### avgExecTime

    public long avgExecTime()

Copyright (C) Wolfgang Meier. All rights reserved.